Bug 1190411 - Review Request: golang-github-syndtr-gosnappy - Implementation of the Snappy compression format for Go
Summary: Review Request: golang-github-syndtr-gosnappy - Implementation of the Snappy ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1190418
TreeView+ depends on / blocked
 
Reported: 2015-02-07 23:10 UTC by Jan Chaloupka
Modified: 2015-03-08 22:38 UTC (History)
1 user (show)

Fixed In Version: golang-github-syndtr-gosnappy-0-0.1.gitce8acff.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-23 23:25:34 UTC
Type: ---
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-02-07 23:10:54 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-syndtr-gosnappy/golang-github-syndtr-gosnappy.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-syndtr-gosnappy/golang-github-syndtr-gosnappy-0-0.1.gitce8acff.fc20.src.rpm

Description: Implementation of the Snappy compression format for Go

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8861637

$ rpmlint golang-github-syndtr-gosnappy-0-0.1.gitce8acff.fc20.src.rpm golang-github-syndtr-gosnappy-devel-0-0.1.gitce8acff.fc20.noarch.rpm golang-github-syndtr-gosnappy.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Upstream: https://github.com/syndtr/gosnappy

Note: The repo is a fork of code.google.com/p/snappy-go. It states "This is an implementation of the Snappy compression format in the Go programming language. ". The package name is not important, import paths are (a.k.a Provides). When time comes, we can provide code.google.com/p/snappy-go/snappy import path as well. Not needed now.

Comment 1 Lokesh Mandvekar 2015-02-07 23:15:48 UTC
- license valid and correct
- only sources installed as per current golang packaging draft

package approved

* probably can use 0%{?fedora} >= 20 now that 19 is EOL. but no big deal.

Comment 2 Jan Chaloupka 2015-02-12 23:35:50 UTC
New Package SCM Request
=======================
Package Name: golang-github-syndtr-gosnappy
Short Description: Implementation of the Snappy compression format for Go
Upstream URL: https://github.com/syndtr/gosnappy
Owners: jchaloup lsm5
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-02-13 13:36:42 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-02-15 14:53:48 UTC
golang-github-syndtr-gosnappy-0-0.1.gitce8acff.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gosnappy-0-0.1.gitce8acff.fc20

Comment 5 Fedora Update System 2015-02-15 14:54:05 UTC
golang-github-syndtr-gosnappy-0-0.1.gitce8acff.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gosnappy-0-0.1.gitce8acff.fc21

Comment 6 Fedora Update System 2015-02-15 14:54:21 UTC
golang-github-syndtr-gosnappy-0-0.1.gitce8acff.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gosnappy-0-0.1.gitce8acff.el6

Comment 7 Fedora Update System 2015-02-15 20:41:25 UTC
golang-github-syndtr-gosnappy-0-0.1.gitce8acff.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-02-23 23:25:34 UTC
golang-github-syndtr-gosnappy-0-0.1.gitce8acff.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-02-23 23:26:02 UTC
golang-github-syndtr-gosnappy-0-0.1.gitce8acff.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-03-08 22:38:36 UTC
golang-github-syndtr-gosnappy-0-0.1.gitce8acff.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.